---
# Cop supports --autocorrect.
Lint/SymbolConversion:
  Exclude:
    - 'app/helpers/breadcrumbs_helper.rb'
    - 'app/helpers/environments_helper.rb'
    - 'app/services/cloud_seed/google_cloud/create_cloudsql_instance_service.rb'
    - 'config/puma.rb'
    - 'ee/app/components/billing/plan_component.rb'
    - 'ee/app/controllers/projects/security/scanned_resources_controller.rb'
    - 'ee/app/serializers/integrations/zentao_serializers/issue_entity.rb'
    - 'ee/db/fixtures/development/35_merge_request_predictions.rb'
    - 'ee/lib/api/analytics/product_analytics.rb'
    - 'ee/lib/ee/gitlab/scim/attribute_transform.rb'
    - 'ee/lib/elastic/latest/note_class_proxy.rb'
    - 'ee/lib/gitlab/applied_ml/suggested_reviewers/client.rb'
    - 'ee/spec/controllers/admin/audit_logs_controller_spec.rb'
    - 'ee/spec/controllers/groups/audit_events_controller_spec.rb'
    - 'ee/spec/controllers/projects/audit_events_controller_spec.rb'
    - 'ee/spec/requests/api/analytics/product_analytics_spec.rb'
    - 'ee/spec/requests/api/graphql/audit_events/streaming/headers/create_spec.rb'
    - 'ee/spec/requests/api/graphql/audit_events/streaming/headers/destroy_spec.rb'
    - 'ee/spec/requests/api/graphql/audit_events/streaming/headers/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/external_audit_event_destinations/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/external_audit_event_destinations/destroy_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/external_audit_event_destinations/update_spec.rb'
    - 'ee/spec/requests/api/scim/group_scim_spec.rb'
    - 'ee/spec/requests/api/scim/instance_scim_spec.rb'
    - 'ee/spec/services/elastic/data_migration_service_spec.rb'
    - 'ee/spec/services/security/token_revocation_service_spec.rb'
    - 'ee/spec/support/helpers/subscription_portal_helpers.rb'
    - 'ee/spec/workers/deployments/approval_worker_spec.rb'
    - 'lib/gitlab/auth/otp/strategies/forti_token_cloud.rb'
    - 'lib/gitlab/data_builder/repository.rb'
    - 'lib/gitlab/database/reindexing/grafana_notifier.rb'
    - 'lib/gitlab/gitaly_client.rb'
    - 'lib/gitlab/grape_logging/loggers/queue_duration_logger.rb'
    - 'lib/gitlab/harbor/client.rb'
    - 'lib/gitlab/prometheus_client.rb'
    - 'lib/gitlab/zentao/client.rb'
    - 'lib/version_check.rb'
    - 'qa/qa/resource/merge_request.rb'
    - 'qa/qa/specs/features/browser_ui/3_create/merge_request/create_merge_request_from_push_notification_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/10_govern/change_vulnerability_status_spec.rb'
    - 'qa/qa/specs/features/ee/browser_ui/10_govern/project_security_dashboard_spec.rb'
    - 'qa/spec/resource/events/project_spec.rb'
    - 'qa/spec/specs/allure_report_spec.rb'
    - 'spec/controllers/jira_connect/branches_controller_spec.rb'
    - 'spec/factories/ci/reports/codequality_degradations.rb'
    - 'spec/factories/evidences.rb'
    - 'spec/features/file_uploads/graphql_add_design_spec.rb'
    - 'spec/features/projects/new_project_spec.rb'
    - 'spec/graphql/mutations/ci/job_token_scope/remove_project_spec.rb'
    - 'spec/helpers/application_settings_helper_spec.rb'
    - 'spec/helpers/auth_helper_spec.rb'
    - 'spec/helpers/environments_helper_spec.rb'
    - 'spec/helpers/form_helper_spec.rb'
    - 'spec/initializers/sawyer_patch_spec.rb'
    - 'spec/lib/api/entities/nuget/dependency_group_spec.rb'
    - 'spec/lib/api/entities/nuget/dependency_spec.rb'
    - 'spec/lib/api/entities/nuget/metadatum_spec.rb'
    - 'spec/lib/api/entities/nuget/package_metadata_catalog_entry_spec.rb'
    - 'spec/lib/api/entities/nuget/search_result_spec.rb'
    - 'spec/lib/bulk_imports/projects/pipelines/project_feature_pipeline_spec.rb'
    - 'spec/lib/bulk_imports/projects/pipelines/snippets_repository_pipeline_spec.rb'
    - 'spec/lib/constraints/group_url_constrainer_spec.rb'
    - 'spec/lib/constraints/project_url_constrainer_spec.rb'
    - 'spec/lib/constraints/user_url_constrainer_spec.rb'
    - 'spec/lib/container_registry/gitlab_api_client_spec.rb'
    - 'spec/lib/generators/gitlab/usage_metric_definition/redis_hll_generator_spec.rb'
    - 'spec/lib/generators/gitlab/usage_metric_definition_generator_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/job_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/jobs_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/processable_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/accessibility/pa11y_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/codequality/code_climate_spec.rb'
    - 'spec/lib/gitlab/ci/reports/accessibility_reports_spec.rb'
    - 'spec/lib/gitlab/ci/reports/codequality_reports_spec.rb'
    - 'spec/lib/gitlab/ci/yaml_processor_spec.rb'
    - 'spec/lib/google_api/cloud_platform/client_spec.rb'
    - 'spec/lib/service_ping/devops_report_spec.rb'
    - 'spec/models/integrations/prometheus_spec.rb'
    - 'spec/models/merge_request_diff_commit_spec.rb'
    - 'spec/requests/api/admin/plan_limits_spec.rb'
    - 'spec/requests/api/ci/job_artifacts_spec.rb'
    - 'spec/requests/api/ci/runner/jobs_put_spec.rb'
    - 'spec/requests/api/feature_flags_spec.rb'
    - 'spec/requests/api/group_debian_distributions_spec.rb'
    - 'spec/requests/api/integrations_spec.rb'
    - 'spec/requests/api/project_debian_distributions_spec.rb'
    - 'spec/requests/api/terraform/state_spec.rb'
    - 'spec/requests/mailgun/webhooks_controller_spec.rb'
    - 'spec/requests/users_controller_spec.rb'
    - 'spec/scripts/pipeline_test_report_builder_spec.rb'
    - 'spec/serializers/integrations/harbor_serializers/artifact_entity_spec.rb'
    - 'spec/serializers/integrations/harbor_serializers/tag_entity_spec.rb'
    - 'spec/services/bulk_imports/get_importable_data_service_spec.rb'
    - 'spec/services/ci/pipeline_processing/atomic_processing_service_spec.rb'
    - 'spec/services/git/base_hooks_service_spec.rb'
    - 'spec/services/incident_management/timeline_event_tags/create_service_spec.rb'
    - 'spec/services/jira_connect/sync_service_spec.rb'
    - 'spec/services/ml/experiment_tracking/candidate_repository_spec.rb'
    - 'spec/support/helpers/kubernetes_helpers.rb'
    - 'spec/support/helpers/prometheus_helpers.rb'
    - 'spec/support/shared_examples/harbor/artifacts_controller_shared_examples.rb'
    - 'spec/support/shared_examples/harbor/repositories_controller_shared_examples.rb'
    - 'spec/support/shared_examples/harbor/tags_controller_shared_examples.rb'
    - 'spec/support/shared_examples/models/diff_positionable_note_shared_examples.rb'
    - 'spec/workers/gitlab/github_gists_import/import_gist_worker_spec.rb'
